Skip to main content
GET
/
alpha
/
svm
/
detailed-vaults
/
{vaultAddress}
cURL
curl --request GET \
  --url https://api.vaults.fyi/alpha/svm/detailed-vaults/{vaultAddress} \
  --header 'x-api-key: <api-key>'
{
  "accountId": "<string>",
  "asset": {
    "accountId": "<string>",
    "name": "<string>",
    "symbol": "<string>",
    "decimals": 123,
    "assetLogo": "<string>"
  },
  "name": "<string>",
  "tvl": {
    "usd": "<string>",
    "native": "<string>"
  },
  "apy": {
    "1day": {
      "base": 123,
      "reward": 123,
      "total": 123
    },
    "7day": {
      "base": 123,
      "reward": 123,
      "total": 123
    },
    "30day": {
      "base": 123,
      "reward": 123,
      "total": 123
    }
  },
  "protocol": {
    "name": "<string>",
    "product": "<string>",
    "version": "<string>",
    "protocolLogo": "<string>"
  }
}

Authorizations

x-api-key
string
header
required

Path Parameters

vaultAddress
string
required

The Solana address of the vault

Pattern: ^[1-9A-HJ-NP-Za-km-z]{32,44}$

Response

Default Response

accountId
string
required

Account ID of the vault

asset
object
required

Asset details of the vault

name
string
required

Name of the vault

tvl
object
required

TVL details of the vault

apy
object
required

APY details of the vault

protocol
object

Protocol details of the vault